package cn.ibizlab.r7.runtime.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.client.model.ILoginAccount;
import cn.ibizlab.r7.runtime.util.SearchContext;

/**
 * 实体[LoginAccount] 服务对象接口
 */
public interface ILoginAccountClientService{

    public ILoginAccount createModel() ;

    public void get(ILoginAccount loginaccount);

    public void checkKey(ILoginAccount loginaccount);

    public void updatePWD(ILoginAccount loginaccount);

    public void save(ILoginAccount loginaccount);

    public void remove(ILoginAccount loginaccount);

    public void create(ILoginAccount loginaccount);

    public void getDraft(ILoginAccount loginaccount);

    public void update(ILoginAccount loginaccount);

    public Page<ILoginAccount> fetchGetLoginaccount(SearchContext context);

    public Page<ILoginAccount> fetchDefault(SearchContext context);

}
